[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.Delete

Deletes the image at the specified position from all image resolutions.

## Declaration

Source position: imglist.pp line 355

`public procedure TCustomImageList.Delete(`
`AIndex: Integer`
`);`

## Arguments

`AIndex` |  | The index of the image deleted in the method, or -1 to delete all images.

## Description

Delete is a procedure used to delete the image stored at the specified position from all resolutions for the image list.

AIndex contains the ordinal position for the image deleted in the method. When AIndex contains the value -1, all images in the resolution are deleted.

Delete uses the Resolutions enumerator to call the Delete method in the TCustomImageListResolution instance returned by the enumerator. Deletes sets the internal Changed flag for the class instance to True, and calls the Change method.

## See also

TCustomImageList.Resolutions |  | Provides access to the image resolutions (or sizes) used in the image lists.
TCustomImageListResolutions |  | Provides multiple image resolutions in TCustomImageList.
TCustomImageListResolutions.Delete |  | Deletes the image resolution stored at the specified position in the container.
TCustomImageList.Change |  | Sends change notifications when the image list is updated.